#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

: "${PORT:=7000}"
: "${CONTROL_PORT:=7001}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

echo "JAVA_OPTS=$JAVA_OPTS"

# Wait for the services initialisation to start the enqueuer
sleep 60

TZ=UTC java $JAVA_OPTS $JAVA_MEMORY_ARGS -XshowSettings:vm -cp "${SCRIPT_DIR}/rec_enqueuer.jar" -Dserver.port=7000 -Dmanagement.server.port=7001 -Dloader.main=com.cloudhealth.svc.reservationrecommendations.RecMessageEnqueuerApp org.springframework.boot.loader.PropertiesLauncher "$@"
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
